org.richfaces.renderkit.html.iconimages

## Class PanelIconBasic

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.iconimages.PanelIconBasic

- All Implemented Interfaces:
    Java2DUserResource, StateHolderResource
  Direct Known Subclasses:
    PanelIconChevronBasic, PanelIconDisc, PanelIconGrid, PanelIconTriangleBasic

      public abstract class PanelIconBasic
      extends AbstractJava2DUserResource
      implements StateHolderResource

  Author:
    Alex.Kolonitsky

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PanelIconBasic()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D graphics2D)`
    `protected abstract void` | `paintImage(Graphics2D g2d, Color color1, Color color2, Color color3)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PanelIconBasic

          protected PanelIconBasic()

  - ### Method Detail

    - #### paint

          public void paint(Graphics2D graphics2D)

      Specified by:
        `paint` in interface `Java2DUserResource`

    - #### paintImage

          protected abstract void paintImage(Graphics2D g2d,
                        Color color1,
                        Color color2,
                        Color color3)

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `StateHolderResource`

    - #### initialize

          public void initialize()

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `StateHolderResource`
      Throws:
        `IOException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.